Which version is GreenHopper OnDemand as of December 2011?

I've been quite frustrated trying to evaluate JIRA + GreenHopper as I had trouble following the docs that are linked from the dashboard. The screenshots don't match, instructions point to UI elements that I can't see in my OnDemand instance etc. I've came to the conclusion that it can only be that the OnDemand instance doesn't run the latest version of either JIRA or GreenHopper software. Can that be true?

2 answers

1 accepted

This widget could not be displayed.

The short answer is "sort of."

OnDemand runs specific versions of our products as detailed here and each application has restricted functions (your missing buttons and UI elements). They may not be the absolute latest-and-greatest, but they're pretty close. Also, our documentation defaults to the Early Access Preview (EAP) information (when we have one) rather than the latest released version.

Thanks. The problem is that, at present, GreenHopper is at 5.7 in OnDemand instances while the link from "System Dashboard", section "Introduction", points to the 5.8 version of the GreenHopper documentation. So I was pretty confused.

I agree this needs to be fixed. Wasn't obvious to me at all either. In general its been a very confusing startup and I am leaning towards giving up on JIRA/GreenHopper for now because of it - not just bad doc links, but the GH 101 is pretty light, and where to get support/answers is pretty confusing - multiple sites with different logins and no clear guidance about which ones to use (jira, my, support, answers, my instance).

This widget could not be displayed.

I'm also an on-demand user and see the GreenHopper "Plugin version" stated as "5.7.5-studio" but if I click on the corresponding "Plugin Details", it brings me to https://plugins.atlassian.com/plugin/details/5129?versionId=676746 which is for GreenHopper 5.8.2.

The URL shown in the image below is what hovering above "Plugin Details" results in.

So, which version is it that I'm using?

The real version of GreenHopper you are using is "5.7.5-studio", that is, GH 5.7.4 with some minor Studio/OnDemand-specific modifications (probably just some bug fixes and changes around internal licensing). I'm not sure why it's redirecting you to version 5.8.2 specifically, but it may have been caused by some backported fixes changing its internal version number.

Suggest an answer

Log in or Sign up to answer
Atlassian Summit 2018

Meet the community IRL

Atlassian Summit is an excellent opportunity for in-person support, training, and networking.

Learn more
Community showcase
Posted 10 hours ago in Teamwork

What teamwork quotes inspire you?

Hey everyone! My name is Natalie and I'm an editor of the Atlassian Blog and I've got a question for you: What's your favorite quote about teamwork?  We've compiled a list here, along with...

27 views 3 4
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you